package com.lovecoding.day08.oop04;

public class TestParam3 {
    public static void main(String[] args) {
        TestParam3 testParam = new TestParam3();
        //创建对象
        Student student = new Student();
        System.out.println(student); //@4eec7777
        student.name = "安心";
        //调用
        testParam.change2(student);
        //结果
        System.out.println("name："+student.name); // name ？
    }

    public void change2(Student student){ //地址值 @4eec7777
        student = new Student(); //@3b07d329
        System.out.println(student);
        student.name = "高启强";
    }


}
